Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 113842 - CAN-2003-0924 netpbm temporary file vulnerabilities
CAN-2003-0924 netpbm temporary file vulnerabilities
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: netpbm (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-19 08:45 EST by Mark J. Cox
Modified: 2015-03-04 20:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-05 03:46:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:030 normal SHIPPED_LIVE : Updated NetPBM packages fix multiple temporary file vulnerabilities 2004-02-05 00:00:00 EST

  None (edit)
Description Mark J. Cox 2004-01-19 08:45:33 EST
A number of temporary file bugs have been found in versions of NetPBM
shipped with Red Hat Linux 9.  These could allow a local attacker the
ability to overwrite or create files as a user running the netpbm
utilities.

Low risk as few programs use the netpbm utilities for image conversion.
Comment 1 Mark J. Cox 2004-02-05 03:46:41 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-030.html
Comment 2 Richard Szabo 2004-05-24 04:41:55 EDT
This "upgrade" will of course affect another error in conjunction to 
PHP and Apache. When uploading a picture, netpbm programs attempt to 
use the mktemp function but fails immensly after sending a parameter 
not compatible with my RedHat system (9.0, kernel mod 2.40-31-9). 

mktemp fails because of parameter -t ( which does not exist on my 
system ) and uploaded pictures are damaged because of the PHP script 
retreiving wrong data as netpbm fails to create the file.

Note You need to log in before you can comment on or make changes to this bug.